{
  "name": "karideo",
  "private": true,
  "version": "0.0.1",
  "description": "KAR web music application",
  "author": {
    "name": "Edouard DUPIN",
    "email": "yui.heero@gmail.farm"
  },
  "license": "PROPRIETARY",
  "engines": {
    "node": ">=20"
  },
  "scripts": {
    "update_packages": "ncu --target minor",
    "upgrade_packages": "ncu --upgrade ",
    "install_dependency": "pnpm install",
    "test": "vitest run",
    "test:watch": "vitest watch",
    "build": "tsc && vite build",
    "static:build": "pnpm build",
    "dev": "vite",
    "pretty": "prettier -w .",
    "lint": "pnpm tsc --noEmit",
    "storybook": "storybook dev -p 3001",
    "storybook:build": "storybook build && mv ./storybook-static ./public/storybook"
  },
  "lint-staged": {
    "*.{ts,tsx,js,jsx,json}": "prettier --write"
  },
  "dependencies": {
    "@locator/babel-jsx": "0.4.4",
    "@trivago/prettier-plugin-sort-imports": "5.2.2",
    "@chakra-ui/cli": "3.8.1",
    "@chakra-ui/react": "3.8.1",
    "@emotion/react": "11.14.0",
    "allotment": "1.20.3",
    "css-mediaquery": "0.1.2",
    "dayjs": "1.11.13",
    "history": "5.3.0",
    "next-themes": "^0.4.4",
    "react": "19.0.0",
    "react-dom": "19.0.0",
    "react-error-boundary": "5.0.0",
    "react-icons": "5.5.0",
    "react-router-dom": "7.2.0",
    "react-select": "5.10.0",
    "react-use": "17.6.0",
    "zod": "3.24.2",
    "zustand": "5.0.3"
  },
  "devDependencies": {
    "@chakra-ui/styled-system": "^2.12.0",
    "@playwright/test": "1.50.1",
    "@storybook/addon-actions": "8.5.8",
    "@storybook/addon-essentials": "8.5.8",
    "@storybook/addon-links": "8.5.8",
    "@storybook/addon-mdx-gfm": "8.5.8",
    "@storybook/react": "8.5.8",
    "@storybook/react-vite": "8.5.8",
    "@storybook/theming": "8.5.8",
    "@testing-library/jest-dom": "6.6.3",
    "@testing-library/react": "16.2.0",
    "@testing-library/user-event": "14.6.1",
    "@trivago/prettier-plugin-sort-imports": "5.2.2",
    "@types/jest": "29.5.14",
    "@types/node": "22.13.5",
    "@types/react": "19.0.10",
    "@types/react-dom": "19.0.4",
    "@typescript-eslint/eslint-plugin": "8.24.1",
    "@typescript-eslint/parser": "8.24.1",
    "@vitejs/plugin-react": "4.3.4",
    "eslint": "9.21.0",
    "eslint-plugin-import": "2.31.0",
    "eslint-plugin-react": "7.37.4",
    "eslint-plugin-react-hooks": "5.1.0",
    "eslint-plugin-storybook": "0.11.3",
    "jest": "29.7.0",
    "jest-environment-jsdom": "29.7.0",
    "knip": "5.44.5",
    "lint-staged": "15.4.3",
    "npm-check-updates": "^17.1.15",
    "prettier": "3.5.2",
    "puppeteer": "24.2.1",
    "react-is": "19.0.0",
    "storybook": "8.5.8",
    "ts-node": "10.9.2",
    "typescript": "5.7.3",
    "vite": "6.1.1",
    "vitest": "3.0.6"
  }
}
